/// <reference types="node" />
/// <reference types="node" />
import { RawSourceMap } from "source-map";
import { EventEmitter } from "events";
export type Result = {
    css: Buffer;
    map: Buffer;
};
export type RebaseHandlerCallback = (rebasedPath?: false | null | string) => void;
export type RebaseHandler = (source: string, resolvedPath: string, done: RebaseHandlerCallback) => void;
export type Options = {
    rebase?: RebaseHandler;
};
export interface Rebaser {
    on(event: "rebase", listener: (rebasedPath: string, resolvedPath: string) => void): this;
    emit(event: "rebase", rebasedPath: string, resolvedPath: string): boolean;
}
export declare class Rebaser extends EventEmitter {
    private readonly _options;
    constructor(options?: Options);
    rebase(css: Buffer, map?: RawSourceMap): Promise<Result>;
}
